Bug 1060987 - No success/failure response for requesting add project to group from the group page
Summary: No success/failure response for requesting add project to group from the grou...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.3
Assignee: Alex Eng
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 05:23 UTC by Damian Jansen
Modified: 2014-03-20 05:47 UTC (History)
2 users (show)

Fixed In Version: 3.3.0-SNAPSHOT (20140214-1347)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 05:47:08 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2014-02-04 05:23:07 UTC
Description of problem:
If the user requests adding their project to a group, from the group page itself, there is no notification of success or failure.

Version-Release number of selected component (if applicable):
3.3.0 RC1

How reproducible:
Easy always

Preconditions:
tester account (email) maintains a group
logged in account has a project with a version
(can be both the same user)

Steps to Reproduce:
1. sign in as project maintainer, go to the tester maintained group
2. click Request to add project the $this group
3. Press Send Message

Actual results:
This fails (project is not selected) but no error is given

Expected results:
Error

== and ==

Steps to Reproduce:
1. sign in as project maintainer, go to the tester maintained group
2. click Request to add project the $this group
3. Select the target project, Press Send Message

Actual results:
This succeeds but no confirmation is given

Expected results:
"Message sent"

Comment 1 Alex Eng 2014-02-12 00:36:59 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/371

Comment 2 Damian Jansen 2014-02-14 04:25:06 UTC
Verified at 9c46eb0cc798a1883e066057221a503690c6c6a2

Comment 3 Sean Flanigan 2014-03-20 05:47:08 UTC
Closing VERIFIED bugs for Zanata server 3.3.2.


Note You need to log in before you can comment on or make changes to this bug.